Patch "selftests: mptcp: connect: skip disconnect tests if not supported" has been added to the 6.1-stable tree

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



This is a note to let you know that I've just added the patch titled

    selftests: mptcp: connect: skip disconnect tests if not supported

to the 6.1-stable tree which can be found at:
    http://www.kernel.org/git/?p=linux/kernel/git/stable/stable-queue.git;a=summary

The filename of the patch is:
     selftests-mptcp-connect-skip-disconnect-tests-if-not-supported.patch
and it can be found in the queue-6.1 subdirectory.

If you, or anyone else, feels it should not be added to the stable tree,
please let <stable@xxxxxxxxxxxxxxx> know about it.


>From 4ad39a42da2e9770c8e4c37fe632ed8898419129 Mon Sep 17 00:00:00 2001
From: Matthieu Baerts <matthieu.baerts@xxxxxxxxxxxx>
Date: Thu, 8 Jun 2023 18:38:45 +0200
Subject: selftests: mptcp: connect: skip disconnect tests if not supported

From: Matthieu Baerts <matthieu.baerts@xxxxxxxxxxxx>

commit 4ad39a42da2e9770c8e4c37fe632ed8898419129 upstream.

Selftests are supposed to run on any kernels, including the old ones not
supporting all MPTCP features.

One of them is the full support of disconnections from the userspace
introduced by commit b29fcfb54cd7 ("mptcp: full disconnect
implementation").

It is possible to look for "mptcp_pm_data_reset" in kallsyms because a
preparation patch added it to ease the introduction of the mentioned
feature.

Link: https://github.com/multipath-tcp/mptcp_net-next/issues/368
Fixes: 05be5e273c84 ("selftests: mptcp: add disconnect tests")
Cc: stable@xxxxxxxxxxxxxxx
Signed-off-by: Matthieu Baerts <matthieu.baerts@xxxxxxxxxxxx>
Signed-off-by: Jakub Kicinski <kuba@xxxxxxxxxx>
Signed-off-by: Greg Kroah-Hartman <gregkh@xxxxxxxxxxxxxxxxxxx>
---
 tools/testing/selftests/net/mptcp/mptcp_connect.sh |    5 +++++
 1 file changed, 5 insertions(+)

--- a/tools/testing/selftests/net/mptcp/mptcp_connect.sh
+++ b/tools/testing/selftests/net/mptcp/mptcp_connect.sh
@@ -782,6 +782,11 @@ run_tests_disconnect()
 	local old_cin=$cin
 	local old_sin=$sin
 
+	if ! mptcp_lib_kallsyms_has "mptcp_pm_data_reset$"; then
+		echo "INFO: Full disconnect not supported: SKIP"
+		return
+	fi
+
 	cat $cin $cin $cin > "$cin".disconnect
 
 	# force do_transfer to cope with the multiple tranmissions


Patches currently in stable-queue which might be from matthieu.baerts@xxxxxxxxxxxx are

queue-6.1/selftests-mptcp-join-fix-shellcheck-warnings.patch
queue-6.1/selftests-mptcp-join-support-rm_addr-for-used-endpoints-or-not.patch
queue-6.1/selftests-mptcp-pm-nl-skip-fullmesh-flag-checks-if-not-supported.patch
queue-6.1/selftests-mptcp-lib-skip-if-missing-symbol.patch
queue-6.1/selftests-mptcp-join-skip-fullmesh-flag-tests-if-not-supported.patch
queue-6.1/selftests-mptcp-join-skip-fastclose-tests-if-not-supported.patch
queue-6.1/selftests-mptcp-remove-duplicated-entries-in-usage.patch
queue-6.1/selftests-mptcp-sockopt-skip-getsockopt-checks-if-not-supported.patch
queue-6.1/selftests-mptcp-join-skip-backup-if-set-flag-on-id-not-supported.patch
queue-6.1/selftests-mptcp-userspace-pm-skip-if-ip-tool-is-unavailable.patch
queue-6.1/selftests-mptcp-join-helpers-to-skip-tests.patch
queue-6.1/selftests-mptcp-lib-skip-if-not-below-kernel-version.patch
queue-6.1/selftests-mptcp-userspace-pm-skip-if-not-supported.patch
queue-6.1/selftests-mptcp-join-skip-implicit-tests-if-not-supported.patch
queue-6.1/selftests-mptcp-sockopt-relax-expected-returned-size.patch
queue-6.1/selftests-mptcp-pm-nl-remove-hardcoded-default-limits.patch
queue-6.1/selftests-mptcp-join-skip-check-if-mib-counter-not-supported.patch
queue-6.1/selftests-mptcp-join-use-iptables-legacy-if-available.patch
queue-6.1/selftests-mptcp-join-support-local-endpoint-being-tracked-or-not.patch
queue-6.1/selftests-mptcp-connect-skip-transp-tests-if-not-supported.patch
queue-6.1/selftests-mptcp-join-skip-mpc-backups-tests-if-not-supported.patch
queue-6.1/selftests-mptcp-connect-skip-disconnect-tests-if-not-supported.patch



[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Index of Archives]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux